Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAmountAllocation.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAmountAllocation.Designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAmountAllocation.Designer.cs	(revision 6)
@@ -39,11 +39,11 @@
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.lblCompTotal = new System.Windows.Forms.Label();
-            this.lblCompTitile = new System.Windows.Forms.Label();
+            this.lblCompTitle = new System.Windows.Forms.Label();
             this.lblCompTotal2 = new System.Windows.Forms.Label();
-            this.lblTotalTitile2 = new System.Windows.Forms.Label();
+            this.lblTotalTitle2 = new System.Windows.Forms.Label();
             this.lblCompTotal1 = new System.Windows.Forms.Label();
-            this.lblTotalTitile1 = new System.Windows.Forms.Label();
+            this.lblTotalTitle1 = new System.Windows.Forms.Label();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMain)).BeginInit();
             this.SuspendLayout();
             // 
@@ -149,17 +149,17 @@
             this.lblCompTotal.TabIndex = 49;
             this.lblCompTotal.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
-            // lblCompTitile
+            // lblCompTitle
             // 
-            this.lblCompTitile.BackColor = System.Drawing.Color.Goldenrod;
-            this.lblCompTitile.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblCompTitile.ForeColor = System.Drawing.Color.White;
-            this.lblCompTitile.Location = new System.Drawing.Point(162, 185);
-            this.lblCompTitile.Name = "lblCompTitile";
-            this.lblCompTitile.Size = new System.Drawing.Size(90, 25);
-            this.lblCompTitile.TabIndex = 50;
-            this.lblCompTitile.Text = "合計金額";
-            this.lblCompTitile.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.lblCompTitle.BackColor = System.Drawing.Color.Goldenrod;
+            this.lblCompTitle.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblCompTitle.ForeColor = System.Drawing.Color.White;
+            this.lblCompTitle.Location = new System.Drawing.Point(162, 185);
+            this.lblCompTitle.Name = "lblCompTitle";
+            this.lblCompTitle.Size = new System.Drawing.Size(90, 25);
+            this.lblCompTitle.TabIndex = 50;
+            this.lblCompTitle.Text = "合計金額";
+            this.lblCompTitle.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // lblCompTotal2
             // 
@@ -172,16 +172,16 @@
             this.lblCompTotal2.TabIndex = 51;
             this.lblCompTotal2.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
-            // lblTotalTitile2
+            // lblTotalTitle2
             // 
-            this.lblTotalTitile2.BackColor = System.Drawing.Color.White;
-            this.lblTotalTitile2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblTotalTitile2.ForeColor = System.Drawing.Color.Black;
-            this.lblTotalTitile2.Location = new System.Drawing.Point(2, 160);
-            this.lblTotalTitile2.Name = "lblTotalTitile2";
-            this.lblTotalTitile2.Size = new System.Drawing.Size(250, 25);
-            this.lblTotalTitile2.TabIndex = 52;
-            this.lblTotalTitile2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.lblTotalTitle2.BackColor = System.Drawing.Color.White;
+            this.lblTotalTitle2.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblTotalTitle2.ForeColor = System.Drawing.Color.Black;
+            this.lblTotalTitle2.Location = new System.Drawing.Point(2, 160);
+            this.lblTotalTitle2.Name = "lblTotalTitle2";
+            this.lblTotalTitle2.Size = new System.Drawing.Size(250, 25);
+            this.lblTotalTitle2.TabIndex = 52;
+            this.lblTotalTitle2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // lblCompTotal1
             // 
@@ -194,16 +194,16 @@
             this.lblCompTotal1.TabIndex = 53;
             this.lblCompTotal1.TextAlign = System.Drawing.ContentAlignment.MiddleRight;
             // 
-            // lblTotalTitile1
+            // lblTotalTitle1
             // 
-            this.lblTotalTitile1.BackColor = System.Drawing.Color.White;
-            this.lblTotalTitile1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            this.lblTotalTitile1.ForeColor = System.Drawing.Color.Black;
-            this.lblTotalTitile1.Location = new System.Drawing.Point(2, 135);
-            this.lblTotalTitile1.Name = "lblTotalTitile1";
-            this.lblTotalTitile1.Size = new System.Drawing.Size(250, 25);
-            this.lblTotalTitile1.TabIndex = 54;
-            this.lblTotalTitile1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.lblTotalTitle1.BackColor = System.Drawing.Color.White;
+            this.lblTotalTitle1.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.lblTotalTitle1.ForeColor = System.Drawing.Color.Black;
+            this.lblTotalTitle1.Location = new System.Drawing.Point(2, 135);
+            this.lblTotalTitle1.Name = "lblTotalTitle1";
+            this.lblTotalTitle1.Size = new System.Drawing.Size(250, 25);
+            this.lblTotalTitle1.TabIndex = 54;
+            this.lblTotalTitle1.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
             // FrmAmountAllocation
             // 
@@ -213,11 +213,11 @@
             this.ClientSize = new System.Drawing.Size(424, 224);
             this.ControlBox = false;
             this.Controls.Add(this.lblCompTotal1);
-            this.Controls.Add(this.lblTotalTitile1);
+            this.Controls.Add(this.lblTotalTitle1);
             this.Controls.Add(this.lblCompTotal2);
-            this.Controls.Add(this.lblTotalTitile2);
+            this.Controls.Add(this.lblTotalTitle2);
             this.Controls.Add(this.lblCompTotal);
-            this.Controls.Add(this.lblCompTitile);
+            this.Controls.Add(this.lblCompTitle);
             this.Controls.Add(this.dgvMain);
             this.Controls.Add(this.btnEnd);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold);
@@ -241,11 +241,11 @@
         private System.Windows.Forms.Button btnEnd;
         private System.Windows.Forms.DataGridView dgvMain;
         private System.Windows.Forms.Label lblCompTotal;
-        private System.Windows.Forms.Label lblCompTitile;
+        private System.Windows.Forms.Label lblCompTitle;
         private System.Windows.Forms.Label lblCompTotal2;
-        private System.Windows.Forms.Label lblTotalTitile2;
+        private System.Windows.Forms.Label lblTotalTitle2;
         private System.Windows.Forms.Label lblCompTotal1;
-        private System.Windows.Forms.Label lblTotalTitile1;
+        private System.Windows.Forms.Label lblTotalTitle1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAmountAllocation.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAmountAllocation.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmAmountAllocation.cs	(revision 6)
@@ -51,7 +51,7 @@
         /// <summary>
         /// 総計タイトルラベル表示位置Ｘ
         /// </summary>
-        private const int s_poTitileX = 162;
+        private const int s_poTitleX = 162;
         /// <summary>
         /// 総計表示ラベル表示位置Ｘ
         /// </summary>
@@ -63,7 +63,7 @@
         /// <summary>
         /// ラベルタイトルサイズ
         /// </summary>
-        private const int s_LabelTitileWidth = 250;
+        private const int s_LabelTitleWidth = 250;
         #endregion
 
         #region 変数
@@ -144,18 +144,18 @@
             // マウスイベントセット
             dgvMain.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
             dgvMain.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
-            lblTotalTitile1.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblTotalTitile1.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblTotalTitile2.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblTotalTitile2.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblCompTitile.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblCompTitile.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblTotalTitle1.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblTotalTitle1.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
+            lblTotalTitle2.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblTotalTitle2.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
+            lblCompTitle.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblCompTitle.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
             lblCompTotal.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblCompTotal.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblCompTotal.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
             lblCompTotal1.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblCompTotal1.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblCompTotal1.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
             lblCompTotal2.MouseDown += new MouseEventHandler(FrmAmountAllocation_MouseDown);
-            lblCompTotal2.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseDown);
+            lblCompTotal2.MouseMove += new MouseEventHandler(FrmAmountAllocation_MouseMove);
         }
         #endregion
 
@@ -179,13 +179,13 @@
             {
                 // セルサイズ初期設定
                 dgvMain.Columns[(int)DispGridColumn.Name].Width = s_CellWidth;
-                lblTotalTitile1.Width = s_LabelTitileWidth;
-                lblTotalTitile2.Width = s_LabelTitileWidth;
+                lblTotalTitle1.Width = s_LabelTitleWidth;
+                lblTotalTitle2.Width = s_LabelTitleWidth;
 
                 // 合計ラベルの初期位置
-                Point po1 = lblCompTitile.Location;
-                po1.X = s_poTitileX;
-                lblCompTitile.Location = po1;
+                Point po1 = lblCompTitle.Location;
+                po1.X = s_poTitleX;
+                lblCompTitle.Location = po1;
 
                 Point po2 = lblCompTotal.Location;
                 po2.X = s_poTotalX;
@@ -211,13 +211,13 @@
                 AddCellWidth = dgvMain.RowHeadersWidth;
 
                 dgvMain.Columns[(int)DispGridColumn.Name].Width += AddCellWidth;
-                lblTotalTitile1.Width += AddCellWidth;
-                lblTotalTitile2.Width += AddCellWidth;
+                lblTotalTitle1.Width += AddCellWidth;
+                lblTotalTitle2.Width += AddCellWidth;
 
                 // ラベル位置変更
-                po1 = lblCompTitile.Location;
+                po1 = lblCompTitle.Location;
                 po1.X += AddCellWidth;
-                lblCompTitile.Location = po1;
+                lblCompTitle.Location = po1;
 
                 po2 = lblCompTotal.Location;
                 po2.X += AddCellWidth;
@@ -252,6 +252,7 @@
                 // データを表示する
                 dgvMain.Rows.Clear();
 
+                // リストの後ろからグリッドに追加する
                 for (int i = m_AmountList.Count - 1; i >= 0; i--)
                 {
                     AmountAllocation wrk = m_AmountList[i];
@@ -268,11 +269,11 @@
             finally
             {
                 // 未割当表示
-                lblTotalTitile1.Text = m_AmountList[0].Name;
+                lblTotalTitle1.Text = m_AmountList[0].Name;
                 lblCompTotal1.Text = string.Format("\\{0}-", m_AmountList[0].Amount.ToString("#,0"));
 
                 // 自社経費表示
-                lblTotalTitile2.Text = m_AmountList[1].Name;
+                lblTotalTitle2.Text = m_AmountList[1].Name;
                 lblCompTotal2.Text = string.Format("\\{0}-", m_AmountList[1].Amount.ToString("#,0"));
 
                 // 合計金額表示
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.cs	(revision 6)
@@ -306,7 +306,7 @@
                 MessageBoardData data = new MessageBoardData();
                 if (!mbdDB.SelectAction(strSQL, ref data)) return;
 
-                lblTitile.Text = data.MessageTitile;        // タイトル
+                lblTitle.Text = data.MessageTitle;        // タイトル
                 lblWriter.Text = data.FromName;             // 書込み者
 
                 //  対象者名表示
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardReader.designer.cs	(revision 6)
@@ -39,7 +39,7 @@
             this.btnDelete = new System.Windows.Forms.Button();
             this.lblLinkCode = new System.Windows.Forms.Label();
             this.lblLinkType = new System.Windows.Forms.Label();
-            this.lblTitile = new System.Windows.Forms.Label();
+            this.lblTitle = new System.Windows.Forms.Label();
             this.txtMessage = new System.Windows.Forms.TextBox();
             this.label5 = new System.Windows.Forms.Label();
             this.lstRecipient = new System.Windows.Forms.ListBox();
@@ -126,14 +126,14 @@
             this.lblLinkType.TabIndex = 11;
             this.lblLinkType.Visible = false;
             // 
-            // lblTitile
+            // lblTitle
             // 
-            this.lblTitile.BackColor = System.Drawing.Color.White;
-            this.lblTitile.Location = new System.Drawing.Point(8, 73);
-            this.lblTitile.Name = "lblTitile";
-            this.lblTitile.Size = new System.Drawing.Size(1160, 20);
-            this.lblTitile.TabIndex = 12;
-            this.lblTitile.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+            this.lblTitle.BackColor = System.Drawing.Color.White;
+            this.lblTitle.Location = new System.Drawing.Point(8, 73);
+            this.lblTitle.Name = "lblTitle";
+            this.lblTitle.Size = new System.Drawing.Size(1160, 20);
+            this.lblTitle.TabIndex = 12;
+            this.lblTitle.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // txtMessage
             // 
@@ -331,7 +331,7 @@
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1180, 537);
             this.Controls.Add(this.dgvAllDisplay);
-            this.Controls.Add(this.lblTitile);
+            this.Controls.Add(this.lblTitle);
             this.Controls.Add(this.txtMessage);
             this.Controls.Add(this.label5);
             this.Controls.Add(this.lstRecipient);
@@ -373,7 +373,7 @@
         private System.Windows.Forms.Button btnDelete;
         private System.Windows.Forms.Label lblLinkCode;
         private System.Windows.Forms.Label lblLinkType;
-        private System.Windows.Forms.Label lblTitile;
+        private System.Windows.Forms.Label lblTitle;
         private System.Windows.Forms.TextBox txtMessage;
         private System.Windows.Forms.Label label5;
         private System.Windows.Forms.ListBox lstRecipient;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.cs	(revision 6)
@@ -417,7 +417,7 @@
                     }
 
                     // 自分の書き込みの場合は内容を表示する
-                    txtTitile.Text = data.MessageTitile;
+                    txtTitle.Text = data.MessageTitle;
                     txtMessage.Text = data.MessageContent;
                 }
                 else
@@ -425,7 +425,7 @@
                     // 返信者セット
                     m_RecipientList.Add(new KeyValuePair<int, string>(data.FromCode, data.FromName));
 
-                    txtTitile.Text = CommonDefine.s_PageType1GridResString[1] + data.MessageTitile;
+                    txtTitle.Text = CommonDefine.s_PageType1GridResString[1] + data.MessageTitle;
                 }
                 ListBoxAction.InitDataSetListBox(lstRecipient, m_RecipientList);
             }
@@ -453,18 +453,18 @@
             try
             {
                 // 背景色変更
-                //ClsCommon.chgBackColor(txtTitile, bRet);
-                //if (txtTitile.Text.Length == 0)
+                //ClsCommon.chgBackColor(txtTitle, bRet);
+                //if (txtTitle.Text.Length == 0)
                 //{
                 //    bRet = false;
-                //    ClsCommon.chgBackColor(txtTitile, bRet);
+                //    ClsCommon.chgBackColor(txtTitle, bRet);
                 //    MessageBox.Show("入力されていません、確認してください。", "データ確認"
                 //                                , MessageBoxButtons.OK, MessageBoxIcon.Warning);
                 //    return bRet;
                 //}
-                //if (!(bRet = ClsCommon.DispFieldLengthCheck(txtTitile, 100, true)))
+                //if (!(bRet = ClsCommon.DispFieldLengthCheck(txtTitle, 100, true)))
                 //{
-                //    ClsCommon.chgBackColor(txtTitile, bRet);
+                //    ClsCommon.chgBackColor(txtTitle, bRet);
                 //    MessageBox.Show("文字が長すぎです、確認してください。", "データ確認"
                 //                                , MessageBoxButtons.OK, MessageBoxIcon.Warning);
                 //    return bRet;
@@ -645,7 +645,7 @@
                 // データセット
                 work.FromCode = CommonMotions.cnvInt(cmbWriter.SelectedValue.ToString());
                 work.FromName = cmbWriter.Text;
-                work.MessageTitile = txtTitile.Text;
+                work.MessageTitle = txtTitle.Text;
                 work.MessageContent = txtMessage.Text;
                 work.WritingDate = DateTime.Now;
                 work.PersonCode = CommonMotions.LoginUserData.PersonCode;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.designer.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmMessageBoardWriter.designer.cs	(revision 6)
@@ -35,7 +35,7 @@
             this.label1 = new System.Windows.Forms.Label();
             this.txtMessage = new System.Windows.Forms.TextBox();
             this.lblMode = new System.Windows.Forms.Label();
-            this.txtTitile = new System.Windows.Forms.TextBox();
+            this.txtTitle = new System.Windows.Forms.TextBox();
             this.lstRecipient = new System.Windows.Forms.ListBox();
             this.lstAll = new System.Windows.Forms.ListBox();
             this.btnLeft = new System.Windows.Forms.Button();
@@ -107,15 +107,15 @@
             this.lblMode.Text = "新規";
             this.lblMode.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // txtTitile
+            // txtTitle
             // 
-            this.tableLayoutPanel1.SetColumnSpan(this.txtTitile, 3);
-            this.txtTitile.ImeMode = System.Windows.Forms.ImeMode.On;
-            this.txtTitile.Location = new System.Drawing.Point(3, 29);
-            this.txtTitile.MaxLength = 100;
-            this.txtTitile.Name = "txtTitile";
-            this.txtTitile.Size = new System.Drawing.Size(1158, 20);
-            this.txtTitile.TabIndex = 0;
+            this.tableLayoutPanel1.SetColumnSpan(this.txtTitle, 3);
+            this.txtTitle.ImeMode = System.Windows.Forms.ImeMode.On;
+            this.txtTitle.Location = new System.Drawing.Point(3, 29);
+            this.txtTitle.MaxLength = 100;
+            this.txtTitle.Name = "txtTitle";
+            this.txtTitle.Size = new System.Drawing.Size(1158, 20);
+            this.txtTitle.TabIndex = 0;
             // 
             // lstRecipient
             // 
@@ -184,7 +184,7 @@
             this.tableLayoutPanel1.Controls.Add(this.label6, 0, 0);
             this.tableLayoutPanel1.Controls.Add(this.label7, 0, 4);
             this.tableLayoutPanel1.Controls.Add(this.label8, 0, 2);
-            this.tableLayoutPanel1.Controls.Add(this.txtTitile, 0, 1);
+            this.tableLayoutPanel1.Controls.Add(this.txtTitle, 0, 1);
             this.tableLayoutPanel1.Controls.Add(this.txtMessage, 0, 8);
             this.tableLayoutPanel1.Controls.Add(this.cmbWriter, 0, 3);
             this.tableLayoutPanel1.Controls.Add(this.lstRecipient, 0, 5);
@@ -292,7 +292,7 @@
         private System.Windows.Forms.Label label1;
         private System.Windows.Forms.TextBox txtMessage;
         private System.Windows.Forms.Label lblMode;
-        private System.Windows.Forms.TextBox txtTitile;
+        private System.Windows.Forms.TextBox txtTitle;
         private System.Windows.Forms.ListBox lstRecipient;
         private System.Windows.Forms.ListBox lstAll;
         private System.Windows.Forms.Button btnLeft;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmNewOrContinueCopy.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmNewOrContinueCopy.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmNewOrContinueCopy.cs	(revision 6)
@@ -291,7 +291,7 @@
         /// <returns></returns>
         private string GetPersonName(int PersonCode)
         {
-            IOMPersonInCharge picDB= new IOMPersonInCharge();
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
             try
             {
                 string strRet = string.Empty;
@@ -471,11 +471,9 @@
         private void SetConstructionCode()
         {
             IOConstructionBaseInfo cbDB = new IOConstructionBaseInfo();
-            int ConstructionCode = 0;
             try
             {
-                int CodeUpper = 0;
-                int CodeLower = 0;
+                int ConstructionCode = 0;
                 // ----- 工事情報・見積データコピー
                 if (radioButton1.Checked)
                 {
@@ -482,35 +480,23 @@
                     btnExecProc1.Enabled = true;
 
                     // 継続工事番号の表示
-                    ConstructionCode = m_ConstructionCode;
-                    while (true)
-                    {
-                        // 最終枝番検索
-                        CodeUpper = CommonMotions.cnvTruncate(ConstructionCode / 100) * 100;
-                        CodeLower = (ConstructionCode % 100);
-                        ConstructionCode = CodeUpper + (CodeLower + 1);
+                    ConstructionCode = cbDB.CreateNextBranchCounstructionCode(m_ConstructionCode);
 
-                        string strSQL = cbDB.CreatePrimarykeyString(ConstructionCode);
-                        ConstructionBaseInfo cbRec = new ConstructionBaseInfo();
-                        // データが無ければ抜ける
-                        if (!cbDB.SelectAction(strSQL, ref cbRec)) break;
-
-                        // 次のデータ
-                        ConstructionCode++;
-                        if ((ConstructionCode - CodeUpper) > 99) break;
-                    }
                     m_dispControl[(int)Dispcount.ConstructionCode1].Text = CommonMotions.cnvStringCodeFromInt(ConstructionCode, "-", 8);
 
                     // 作成限界を超えた場合はエラーにする
-                    if ((ConstructionCode - CodeUpper) > 99)
+                    if (ConstructionCode < 0)
                     {
+                        MessageBox.Show("新規工事番号が取得できません。", "継続作成エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
+                        btnExecProc1.Enabled = false;
+                    }
+                    else if ((ConstructionCode - m_ConstructionCode) > 99)
+                    {
                         MessageBox.Show("変更作成の上限数を超えました、\nこれ以上は作成できません、\n新規工事として作成してください。",
-                                        "継続作成エラー",
-                                        MessageBoxButtons.OK,
-                                        MessageBoxIcon.Error);
+                                        "継続作成エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                         btnExecProc1.Enabled = false;
                     }
-
+                    // ----- ここで抜ける（以下の処理は新規工事番号取得）
                     return;
                 }
 
@@ -852,6 +838,7 @@
                 cbRec.EstimatesSubmitDeadline = DateTime.Now.AddDays(s_EstimatesSubmitDeadline);	// 見積提出期限
                 cbRec.EstimatesSubmittedDate = DateTime.MinValue;	                                // 見積提出日
                 cbRec.EstimatesExpirationDate = DateTime.MinValue;	                                // 見積有効期限
+                cbRec.ProvisionalOrderDate = DateTime.MinValue;                                     // 仮受注日
                 cbRec.OrderDate = DateTime.MinValue;                                                // 受注日
                 cbRec.TransferConstructionDate = DateTime.MinValue;                                 // 部署引継日
                 cbRec.ConstructionStartingDate = DateTime.MinValue;                                 // 施工開始日
@@ -859,6 +846,37 @@
                 cbRec.BillingStartDate = DateTime.MinValue;	                                        // 請求準備開始日
                 cbRec.BillingDate = DateTime.MinValue;	                                            // 請求日
 
+                // 工事情報のみコピーは工事の情報以外はクリアする
+                if (radioButton3.Checked)
+                {
+                    cbRec.OrderStartingDate = DateTime.MinValue;	        // 開始予定日
+                    cbRec.OrderCompletionDate = DateTime.MinValue;	        // 完了予定日
+                    cbRec.PreparationStartDate = DateTime.MinValue;         // 施工準備開始日
+                    cbRec.NonOrderDate = DateTime.MinValue;                 // 非受注日
+                    cbRec.OrdersDecisionPrice = 0;                          // 税抜受注決定金額
+                    cbRec.OrdersDecisionPriceInTax = 0;                     // 税込受注決定金額
+                    cbRec.ConstructionPersonCode = 0;                       // 工事担当者コード
+                    cbRec.ConstrSubPersonCode = 0;	                        // 工事副担当者コード
+                    cbRec.ConstructionInstructor = 0;                       // 工事指導員コード
+                    cbRec.TransferConstruction = 0;                         // 移管先コード
+                    cbRec.TransferConstructionDate = DateTime.MinValue;     // 工事移管日
+                    cbRec.ConstructionPeriodStart = DateTime.MinValue;      // 契約工期開始
+                    cbRec.ConstructionPeriodEnd = DateTime.MinValue;        // 契約工期完了
+                    cbRec.ConstructionPeriodStart2 = DateTime.MinValue;     // 契約工期開始（延長時）
+                    cbRec.ConstructionPeriodEnd2 = DateTime.MinValue;       // 契約工期完了（延長時）
+                    cbRec.StartDate = DateTime.MinValue;	                // 工事開始日
+                    cbRec.EndDate = DateTime.MinValue;                      // 工事終了日
+                    cbRec.PurchaseOrderMailingDate = DateTime.MinValue;     // 注文書郵送日
+                    cbRec.PurchaseOrderReturnDate = DateTime.MinValue;      // 注文書返送日
+                    cbRec.PurchaseOrderReturnCheckDate = DateTime.MinValue; // 注文書返送確認日
+                    cbRec.ConsumptionTaxFlg = 1;                            // 消費税フラグ
+                    cbRec.PrimeContractorFlg = 1;	                        // 元請フラグ
+                    cbRec.SalesCostFlg = 1;	                                // 営業経費発生フラグ
+                    cbRec.EstimateType = 1;                                 // 見積種別
+                    cbRec.BillingSplitFlg = 1;                              // 請求回数フラグ
+                    cbRec.BillingSendDate = DateTime.MinValue;              // 請求書郵送/手渡し日
+                }
+
                 // 営業担当
                 if (cmbSalesPerson.Text.Length != 0)
                 {
@@ -1000,7 +1018,7 @@
         /// </summary>
         /// <param name="cpdDB"></param>
         /// <returns></returns>
-        private bool ProgressDate(IOConstructionProgressDate cpdDB, int ConstructionCode)
+        public bool ProgressDate(IOConstructionProgressDate cpdDB, int ConstructionCode)
         {
             try
             {
